Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1353)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -150,22 +151,22 @@
        mask      (mid,3,:) = mask_z(mid,:) 
        
-       IF ( mask_x_loop(mid,1) == -1.0  .AND.  mask_x_loop(mid,2) == -1.0  &
-            .AND.  mask_x_loop(mid,3) == -1.0 )  THEN
-          mask_loop(mid,1,1:2) = -1.0
-          mask_loop(mid,1,3) = 0.0
+       IF ( mask_x_loop(mid,1) == -1.0_wp  .AND.  mask_x_loop(mid,2) == -1.0_wp&
+            .AND.  mask_x_loop(mid,3) == -1.0_wp )  THEN
+          mask_loop(mid,1,1:2) = -1.0_wp
+          mask_loop(mid,1,3)   =  0.0_wp
        ELSE
           mask_loop(mid,1,:) = mask_x_loop(mid,:)
        ENDIF
-       IF ( mask_y_loop(mid,1) == -1.0  .AND.  mask_y_loop(mid,2) == -1.0  &
-            .AND.  mask_y_loop(mid,3) == -1.0 )  THEN
-          mask_loop(mid,2,1:2) = -1.0
-          mask_loop(mid,2,3) = 0.0
+       IF ( mask_y_loop(mid,1) == -1.0_wp  .AND.  mask_y_loop(mid,2) == -1.0_wp&
+            .AND.  mask_y_loop(mid,3) == -1.0_wp )  THEN
+          mask_loop(mid,2,1:2) = -1.0_wp
+          mask_loop(mid,2,3)   =  0.0_wp
        ELSE
           mask_loop(mid,2,:) = mask_y_loop(mid,:)
        ENDIF
-       IF ( mask_z_loop(mid,1) == -1.0  .AND.  mask_z_loop(mid,2) == -1.0  &
-            .AND.  mask_z_loop(mid,3) == -1.0 )  THEN
-          mask_loop(mid,3,1:2) = -1.0
-          mask_loop(mid,3,3) = 0.0
+       IF ( mask_z_loop(mid,1) == -1.0_wp  .AND.  mask_z_loop(mid,2) == -1.0_wp&
+            .AND.  mask_z_loop(mid,3) == -1.0_wp )  THEN
+          mask_loop(mid,3,1:2) = -1.0_wp
+          mask_loop(mid,3,3)   =  0.0_wp
        ELSE
           mask_loop(mid,3,:) = mask_z_loop(mid,:)
@@ -521,13 +522,16 @@
        REAL(wp)      ::  tmp2  !:
 
-       count = 0;  count_l = 0;  ddxyz = 1.0 / dxyz;  tmp1 = 0.0;  tmp2 = 0.0
-
-       IF ( mask(mid,dim,1) >= 0.0 )  THEN
+       count = 0;  count_l = 0  
+       ddxyz = 1.0_wp / dxyz  
+       tmp1  = 0.0_wp
+       tmp2  = 0.0_wp
+
+       IF ( mask(mid,dim,1) >= 0.0_wp )  THEN
 !
 !--       use predefined mask_* array
-          DO  WHILE ( mask(mid,dim,count+1) >= 0.0 )
+          DO  WHILE ( mask(mid,dim,count+1) >= 0.0_wp )
              count = count + 1
              IF ( dim == 1 .OR. dim == 2 )  THEN
-                m = NINT( mask(mid,dim,count) * mask_scale(dim) * ddxyz - 0.5 )
+                m = NINT( mask(mid,dim,count) * mask_scale(dim) * ddxyz - 0.5_wp )
              ELSEIF ( dim == 3 )  THEN
                 ind_array =  &
@@ -561,10 +565,10 @@
 !--       use predefined mask_loop_* array, or use the default (all grid points
 !--       along this direction)
-          IF ( mask_loop(mid,dim,1) < 0.0 )  THEN
+          IF ( mask_loop(mid,dim,1) < 0.0_wp )  THEN
              tmp1 = mask_loop(mid,dim,1)
              mask_loop(mid,dim,1) = zw(nzb)  !   lowest level  (default)
           ENDIF
           IF ( dim == 1 .OR. dim == 2 )  THEN
-             IF ( mask_loop(mid,dim,2) < 0.0 )  THEN
+             IF ( mask_loop(mid,dim,2) < 0.0_wp )  THEN
                 tmp2 = mask_loop(mid,dim,2)
                 mask_loop(mid,dim,2) = nxyz*dxyz / mask_scale(dim)   ! (default)
@@ -581,11 +585,11 @@
              ENDIF
              loop_begin  = NINT( mask_loop(mid,dim,1) * mask_scale(dim) &
-                  * ddxyz - 0.5 )
+                  * ddxyz - 0.5_wp )
              loop_end    = NINT( mask_loop(mid,dim,2) * mask_scale(dim) &
-                  * ddxyz - 0.5 )
+                  * ddxyz - 0.5_wp )
              loop_stride = NINT( mask_loop(mid,dim,3) * mask_scale(dim) &
                   * ddxyz )
           ELSEIF ( dim == 3 )  THEN
-             IF ( mask_loop(mid,dim,2) < 0.0 )  THEN
+             IF ( mask_loop(mid,dim,2) < 0.0_wp )  THEN
                 tmp2 = mask_loop(mid,dim,2)
                 mask_loop(mid,dim,2) = zu(nz) / mask_scale(dim)   ! (default)
@@ -627,6 +631,6 @@
 !
 !--       If necessary, reset mask_loop(mid,dim,1) and mask_loop(mid,dim,2).
-          IF ( tmp1 < 0.0 )  mask_loop(mid,dim,1) = tmp1
-          IF ( tmp2 < 0.0 )  mask_loop(mid,dim,2) = tmp2
+          IF ( tmp1 < 0.0_wp )  mask_loop(mid,dim,1) = tmp1
+          IF ( tmp2 < 0.0_wp )  mask_loop(mid,dim,2) = tmp2
 !
 !--       The default stride +/-1 (every grid point) applies if 
Index: /palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- /palm/trunk/SOURCE/init_ocean.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_ocean.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -85,5 +85,5 @@
 !
 !-- Set water density near the ocean surface
-    rho_surface = 1027.62
+    rho_surface = 1027.62_wp
 
 !
@@ -93,5 +93,5 @@
     hyp(nzt+1) = surface_pressure * 100.0_wp
 
-    hyp(nzt)      = hyp(nzt+1) + rho_surface * g * 0.5 * dzu(nzt+1)
+    hyp(nzt)      = hyp(nzt+1) + rho_surface * g * 0.5_wp * dzu(nzt+1)
     rho_init(nzt) = rho_surface
 
@@ -106,10 +106,10 @@
     DO  n = 1, 5
 
-       rho_reference = rho_surface * 0.5 * dzu(nzt+1)
+       rho_reference = rho_surface * 0.5_wp * dzu(nzt+1)
 
        DO  k = nzt-1, 0, -1
 
-          sa_l = 0.5 * ( sa_init(k) + sa_init(k+1) )
-          pt_l = 0.5 * ( pt_init(k) + pt_init(k+1) )
+          sa_l = 0.5_wp * ( sa_init(k) + sa_init(k+1) )
+          pt_l = 0.5_wp * ( pt_init(k) + pt_init(k+1) )
 
           rho_init(k) = eqn_state_seawater_func( hyp(k), pt_l, sa_l )
@@ -122,5 +122,5 @@
 
        DO  k = nzt-1, 0, -1
-          hyp(k) = hyp(k+1) + g * 0.5 * ( rho_init(k) + rho_init(k+1 ) ) * &
+          hyp(k) = hyp(k+1) + g * 0.5_wp * ( rho_init(k) + rho_init(k+1 ) ) * &
                               dzu(k+1)
        ENDDO
@@ -130,9 +130,9 @@
 !
 !-- Calculate the reference potential density
-    prho_reference = 0.0
+    prho_reference = 0.0_wp
     DO  k = 0, nzt
 
-       sa_l = 0.5 * ( sa_init(k) + sa_init(k+1) )
-       pt_l = 0.5 * ( pt_init(k) + pt_init(k+1) )
+       sa_l = 0.5_wp * ( sa_init(k) + sa_init(k+1) )
+       pt_l = 0.5_wp * ( pt_init(k) + pt_init(k+1) )
 
        prho_reference = prho_reference + dzu(k+1) * &
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -399,5 +399,5 @@
 !
 !-- Indices for direct transpositions z --> y (used for calculating spectra)
-    IF ( dt_dosp /= 9999999.9 )  THEN
+    IF ( dt_dosp /= 9999999.9_wp )  THEN
        IF ( MOD( nz, pdims(2) ) /= 0 )  THEN
           WRITE( message_string, * ) 'direct transposition z --> y (needed ', &
Index: /palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -82,8 +82,8 @@
 !-- Defaults: radius rc, strength z,
 !--           position of centre: ic, jc, kc
-    rc =  10.0 * dx
+    rc =  10.0_wp * dx
     ic =  ( nx+1 ) / 2
     jc =  ic
-    kc = nzt / 2
+    kc =  nzt / 2
 
 !
@@ -97,7 +97,7 @@
              radius = SQRT( x**2 + y**2 + z**2 )
              IF ( radius <= rc )  THEN
-                betrag = 5.0 * EXP( -( radius * 0.001_wp / 2.0_wp )**2 )
+                betrag = 5.0_wp * EXP( -( radius * 0.001_wp / 2.0_wp )**2 )
              ELSE
-                betrag = 0.0
+                betrag = 0.0_wp
              ENDIF
 
Index: /palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- /palm/trunk/SOURCE/init_rankine.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_rankine.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -89,5 +89,5 @@
 !-- Default: eddy radius rc, eddy strength z,
 !--          position of eddy centre: ic, jc, kc1, kc2
-    rc  =  4.0 * dx
+    rc  =  4.0_wp * dx
     ic  =  ( nx+1 ) / 2
     jc  =  ic
@@ -111,26 +111,26 @@
     DO  i = nxl, nxr
        DO  j = nys, nyn
-          x = ( i - ic - 0.5 ) * dx
-          y = ( j - jc ) * dy
+          x = ( i - ic - 0.5_wp ) * dx
+          y = ( j - jc          ) * dy
           radius = SQRT( x**2 + y**2 )
-          IF ( radius <= 2.0 * rc )  THEN
-             betrag = radius / ( 2.0 * rc ) * 0.08_wp
-          ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
-             betrag = 0.08 * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
-          ELSE
-             betrag = 0.0
-          ENDIF
-
-          IF ( x == 0.0 )  THEN
-             IF ( y > 0.0 )  THEN
+          IF ( radius <= 2.0_wp * rc )  THEN
+             betrag = radius / ( 2.0_wp * rc ) * 0.08_wp
+          ELSEIF ( radius > 2.0_wp * rc  .AND.  radius < 8.0_wp * rc )  THEN
+             betrag = 0.08_wp * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
+          ELSE
+             betrag = 0.0_wp
+          ENDIF
+
+          IF ( x == 0.0_wp )  THEN
+             IF ( y > 0.0_wp )  THEN
                 alpha = pi / 2.0_wp
-             ELSEIF ( y < 0.0 )  THEN
-                alpha = 3.0 * pi / 2.0_wp
-             ENDIF
-          ELSE
-             IF ( x < 0.0 )  THEN
+             ELSEIF ( y < 0.0_wp )  THEN
+                alpha = 3.0_wp * pi / 2.0_wp
+             ENDIF
+          ELSE
+             IF ( x < 0.0_wp )  THEN
                 alpha = ATAN( y / x ) + pi
              ELSE
-                IF ( y < 0.0 )  THEN
+                IF ( y < 0.0_wp )  THEN
                    alpha = ATAN( y / x ) + 2.0_wp * pi
                 ELSE
@@ -152,26 +152,26 @@
     DO  i = nxl, nxr
        DO  j = nys, nyn
-          x = ( i - ic ) * dx
-          y = ( j - jc - 0.5) * dy
+          x = ( i - ic          ) * dx
+          y = ( j - jc - 0.5_wp ) * dy
           radius = SQRT( x**2 + y**2 )
-          IF ( radius <= 2.0 * rc )  THEN
+          IF ( radius <= 2.0_wp * rc )  THEN
              betrag = radius / ( 2.0_wp * rc ) * 0.08_wp
-          ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
-             betrag = 0.08 * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
-          ELSE
-             betrag = 0.0
-          ENDIF
-
-          IF ( x == 0.0 )  THEN
-             IF ( y > 0.0 )  THEN
+          ELSEIF ( radius > 2.0_wp * rc  .AND.  radius < 8.0_wp * rc )  THEN
+             betrag = 0.08_wp * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
+          ELSE
+             betrag = 0.0_wp
+          ENDIF
+
+          IF ( x == 0.0_wp )  THEN
+             IF ( y > 0.0_wp )  THEN
                 alpha = pi / 2.0_wp
-             ELSEIF ( y < 0.0 )  THEN
-                alpha = 3.0 * pi / 2.0_wp
-             ENDIF
-          ELSE
-             IF ( x < 0.0 )  THEN
+             ELSEIF ( y < 0.0_wp )  THEN
+                alpha = 3.0_wp * pi / 2.0_wp
+             ENDIF
+          ELSE
+             IF ( x < 0.0_wp )  THEN
                 alpha = ATAN( y / x ) + pi
              ELSE
-                IF ( y < 0.0 )  THEN
+                IF ( y < 0.0_wp )  THEN
                    alpha = ATAN( y / x ) + 2.0_wp * pi
                 ELSE
Index: /palm/trunk/SOURCE/init_slope.f90
===================================================================
--- /palm/trunk/SOURCE/init_slope.f90	(revision 1352)
+++ /palm/trunk/SOURCE/init_slope.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -104,10 +104,10 @@
           ELSE
              radius = SQRT( ( i * dx )**2 )
-             height = 0.0
+             height = 0.0_wp
           ENDIF
-          IF ( radius /= 0.0 )  THEN
+          IF ( radius /= 0.0_wp )  THEN
              alpha = ASIN( height / radius )
           ELSE
-             alpha = 0.0
+             alpha = 0.0_wp
           ENDIF
 !
@@ -140,5 +140,5 @@
 !--    the rotated coordinate system)
        ALLOCATE( pt_init_local(nzb:nzt+1) )
-       pt_init_local = 0.0
+       pt_init_local = 0.0_wp
        DO  i = nxl, nxr
           DO  j =  nys, nyn
Index: /palm/trunk/SOURCE/local_stop.f90
===================================================================
--- /palm/trunk/SOURCE/local_stop.f90	(revision 1352)
+++ /palm/trunk/SOURCE/local_stop.f90	(revision 1353)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -135,5 +136,5 @@
              ENDIF
              terminate_run = .TRUE.
-             time_restart = 9999999.9
+             time_restart = 9999999.9_wp
 
        END SELECT
Index: /palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain.f90	(revision 1352)
+++ /palm/trunk/SOURCE/local_tremain.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -93,5 +93,5 @@
 !
 !-- No stop due to running out of cpu-time on other machines
-    remaining_time = 9999999.9
+    remaining_time = 9999999.9_wp
 
 #endif
Index: /palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- /palm/trunk/SOURCE/ls_forcing.f90	(revision 1352)
+++ /palm/trunk/SOURCE/ls_forcing.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -105,7 +105,8 @@
                  vg_vert(nzb:nzt+1,0:nlsf), wsubs_vert(nzb:nzt+1,0:nlsf) )
 
-       p_surf = 0.0; pt_surf = 0.0; q_surf = 0.0; qsws_surf = 0.0
-       shf_surf = 0.0; time_vert = 0.0; time_surf = 0.0; ug_vert = 0.0
-       vg_vert = 0.0; wsubs_vert = 0.0
+       p_surf     = 0.0_wp;  pt_surf  = 0.0_wp;  q_surf    = 0.0_wp
+       qsws_surf  = 0.0_wp;  shf_surf = 0.0_wp;  time_vert = 0.0_wp
+       time_surf  = 0.0_wp;  ug_vert  = 0.0_wp;  vg_vert   = 0.0_wp
+       wsubs_vert = 0.0_wp
 
 
@@ -234,5 +235,5 @@
 !
 !--    Large scale vertical velocity has to be zero at the surface
-       wsubs_vert(nzb,:) = 0.0
+       wsubs_vert(nzb,:) = 0.0_wp
  
        IF ( time_vert(1) > end_time )  THEN
